﻿@{
    ViewBag.Title = "Owner's Nominee Information Edit";
}

@model OwnerSite.ViewModels.OwnersInfoView

@section HEADERJS{
    <script type="text/javascript" src="https://cdn.jsdelivr.net/jquery/2.1.3/jquery.min.js"></script>
}

@section FOOTERJS{
    <script src="~/Content/vendors/js/toastr.min.js"></script>
    <script src="~/Content/vendors/js/coreui.min.js"></script>
}
@section PAGETITLE{
    OwnersInfoView
}
<html>
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, shrink-to-fit=no">
    <meta name="description" content="CoreUI - Open Source Bootstrap Admin Template">
    <meta name="author" content="Łukasz Holeczek">
    <meta name="keyword" content="Bootstrap,Admin,Template,Open,Source,jQuery,CSS,HTML,RWD,Dashboard">
    <title>HAMS - Login</title>
    <!-- Icons-->
    <link href="~/Content/vendors/css/coreui-icons.min.css" rel="stylesheet" />
    <link href="~/Content/vendors/css/flag-icon.min.css" rel="stylesheet" />
    <link href="~/Content/vendors/css/font-awesome.min.css" rel="stylesheet" />
    <link href="~/Content/vendors/css/simple-line-icons.min.css" rel="stylesheet" />
    <!-- Main styles for this application-->
    <link href="~/Content/css/style.css" rel="stylesheet" />
    <link href="~/Content/vendors/css/pace.min.css" rel="stylesheet" />


    <script type="text/javascript" src="https://cdn.jsdelivr.net/jquery/1/jquery.min.js"></script>
    <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/js/toastr.min.js"></script>
    <link href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/css/toastr.min.css" rel="stylesheet">
</head>

<body class="app flex-row align-items-center">
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-md-6">
                <div class="card-group">
                    <div class="card p-4">
                        <div class="card-body">
                            <div align="center">
                                @* <div class="row"> *@
                                @*     <div class="col" align="left"> *@
                                @*         <img src="http://localhost:57866/Content/img/Best-Western-Logo.png" alt="Heritage Hotel" style="width:60%;" /> *@
                                @*     </div> *@
                                @*     <div class="col" align="center"></div> *@
                                @*     <div class="col ml-sm-3" align="center"> *@
                                @*         <img src="http://localhost:57866/Content/img/Coral-Reef-Logo.png" alt="Coral Reef Properties" style="width:100%;" /> *@
                                @*     </div> *@
                                @* </div> *@
                                <div class="mt-2">
                                    <h5>
                                        Please, press <span style="color: blue">'Submit'</span> after neccessary change(s) <a href="#">
                                            <span id="unsaved-icon" style="color: red; display: none" data-toggle="tooltip" data-placement="bottom"
                                                  title="Unsaved Changes">!</span>
                                        </a>
                                    </h5>
                                </div>
                                <div class="mt-4">
                                    @using (Html.BeginForm("OwnersNomineeEditAfterLogin", "Owner", new { ReturnUrl = ViewBag.ReturnUrl }, FormMethod.Post, new { @class = "form-horizontal", role = "form" }))
                                    {
                                        <div class="form-group row mb-3" align="left">
                                            @Html.LabelFor(m => m.NomineeInfo.NomineeName, new { @class = "col-sm-3 col-lg-5 col-md-3  col-form-label" })
                                            <div class="col-sm-3 col-lg-6 col-md-3">
                                                @Html.TextBoxFor(m => m.NomineeInfo.NomineeName, new { @class = "form-control", placeholder = "Nominee's Name", id = "owner-Name", type = "text", onkeyup = "func_for_unsaved()" })
                                            </div>
                                        </div>
                                        <div class="form-group row mb-3" align="left">
                                            @Html.LabelFor(m => m.NomineeInfo.NomineeMobile, new { @class = "col-sm-3 col-lg-5 col-md-3  col-form-label" })
                                            <div class="col-sm-3 col-lg-6 col-md-3">
                                                @Html.TextBoxFor(m => m.NomineeInfo.NomineeMobile, new { @class = "form-control", placeholder = "Nominee's Mobile Number", id = "owner-mobile", type = "text", onkeyup = "func_for_unsaved()" })
                                            </div>
                                        </div>
                                        <div class="form-group row mb-3">
                                            @* @Html.LabelFor(m => m.NomineeInfo.PresentAddress, new { @class = "col-sm-3 col-lg-5 col-md-3  col-form-label" }) *@
                                            <label class="col-sm-3 col-lg-5 col-md-3  col-form-label" style="text-align: left">Present Address</label>
                                            <div class="col-sm-3 col-lg-6 col-md-3">
                                                @Html.TextBoxFor(m => m.NomineeInfo.NomineePresentAddress, new { @class = "form-control", placeholder = "Nominee's Present Address", id = "owner-pre-address", type = "text", onkeyup = "func_for_unsaved()" })
                                            </div>
                                        </div>
                                        <div class="form-group row mb-3">
                                            @* @Html.LabelFor(m => m.NomineeInfo.PermanantAddress, new { @class = "col-sm-3 col-lg-5 col-md-3  col-form-label" }) *@
                                            <label class="col-sm-3 col-lg-5 col-md-3  col-form-label" style="text-align: left">Permanant Address</label>
                                            <div class="col-sm-3 col-lg-6 col-md-3">
                                                @Html.TextBoxFor(m => m.NomineeInfo.NomineePermanentAddress, new { @class = "form-control", placeholder = "Nominee's Permanant Address", id = "owner-per-address", type = "text", onkeyup = "func_for_unsaved()" })
                                            </div>
                                        </div>
                                        <div class="form-group row mb-3" align="left">
                                            @Html.LabelFor(m => m.NomineeInfo.OwnerRelation, new { @class = "col-sm-3 col-lg-5 col-md-3  col-form-label" })
                                            <div class="col-sm-3 col-lg-6 col-md-3">
                                                @Html.TextBoxFor(m => m.NomineeInfo.OwnerRelation, new { @class = "form-control", placeholder = "Nominee's Relation", id = "owner-relation", type = "text", onkeyup = "func_for_unsaved()" })
                                            </div>
                                        </div>

                                        <div class="form-group row mb-3" align="left">
                                            @Html.LabelFor(m => m.NomineeInfo.NomineeNID, new { @class = "col-sm-3 col-lg-5 col-md-3  col-form-label" })
                                            <div class="col-sm-3 col-lg-6 col-md-3">
                                                @Html.TextBoxFor(m => m.NomineeInfo.NomineeNID, new { @class = "form-control", placeholder = "Nominee's NID", id = "owner-email", type = "text", onkeyup = "func_for_unsaved()" })
                                            </div>
                                        </div>
                                        <div class="col-6">
                                            <div class="form-group row mb-3">
                                                <label class="col-sm-3 col-lg-5 col-md-3  col-form-label" style="text-align: left">NID File</label>
                                                <div class="col-sm-3 col-lg-5 col-md-3">
                                                    <input id="NIDfile" type="file" style="color: transparent" accept="application/pdf" />
                                                </div>
                                                <div class="col-sm-3 col-lg-5 col-md-3">
                                                    @{
                                                        var time1 = "?" + DateTime.Now.ToString("h:mm:ss tt");
                                                    }
                                                    @{

                                                        <a id="NID-file-link" href="@Href(Model.NomineeInfo.NomineeNIDPath+time1)" target="_blank">NID File</a>
                                                        @*<iframe src="@Href(Model.NomineeInfo.NomineeNIDPath+time1)" />*@
                                                    }
                                                </div>
                                            </div>
                                        </div>


                                        <div class="form-group row">
                                            <div class="col" align="left">
                                                <button type="submit" class="btn btn-primary m-1" onclick="full_submit()">Submit</button>
                                            </div>
                                            <div class="col mr-4" align="right">
                                                <button type="button" class="btn btn-danger m-1" onclick="location.href = '@Url.Action("OwnersInfoIncomeViewOrEditAfterLogin", "Owner")'">Reload</button>
                                            </div>
                                        </div>
                                        @Html.HiddenFor(m => m.NomineeInfo.OwnerId)

                                    }
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <script>
        var flg = false;
    </script>
    <script>
        function func_for_unsaved() {
            document.getElementById('unsaved-icon').style.display = 'inline-block';

        }
    </script>
    <script>
        window.addEventListener('load', function () {
            document.querySelector('input[id="NIDfile"]').addEventListener('change', function () {
                document.getElementById('unsaved-icon').style.display = 'inline-block';
                if (this.files && this.files[0]) {
                    var type = this.files[0].type.toString();
                    //alert(type);
                    if (type == "application/pdf") {
                        flg = true;
                        var img = $('#NID-file-link')[0];  // $('img')[0]
                        img.href = URL.createObjectURL(this.files[0]);
                        img.text = this.files[0].name;
                        img.onload = imageIsLoaded; // optional onload event listener
                    } else {
                        toastr.error('Your uploaded NID file type is not of PDF format. Please, upload a pdf file.', 'Error', {
                            closeButton: true,
                            progressBar: true,
                        });
                        @{
                            var time_nid = "?" + DateTime.Now.ToString("h:mm:ss tt");
                        }
                        var img = $('#NID-file-link')[0];
                        img.href = "@Href(Model.NomineeInfo.NomineeNIDPath+time_nid)";
                        img.text = "@Model.NomineeInfo.OwnerId";
                        img.onload = imageIsLoaded;
                    }
                }
            });
        });
    </script>
    <script type="text/javascript">
        function function_edit_nid_file() {
            var UserName = '@Model.NomineeInfo.OwnerId';
            //alert(UserName);
            //document.getElementById('uploader').onsubmit = function() {
            var formdata = new FormData(); //FormData object
            var fileInput = $('#NIDfile')[0];
            //Iterating through each files selected in fileInput
            //alert(fileInput.files[0].name);

            for (i = 0; i < fileInput.files.length; i++) {
                //Appending each file to FormData object
                formdata.append(fileInput.files[i].name, fileInput.files[i], UserName+".pdf");
            }
            //Creating an XMLHttpRequest and sending
            var xhr = new XMLHttpRequest();
            xhr.open('POST', '../Owner/Upload_NomineeNIDFile_Edit/');
            xhr.send(formdata);
            xhr.onreadystatechange = function () {
                if (xhr.readyState == 4 && xhr.status == 200) {
                    //alert(xhr.responseText);
                }
            }
            return false;
        }
    </script>

    <script type="text/javascript">
        function full_submit() {
            var fileInput = $('#file')[0];
            var TINfileInput = $('#TINfile')[0];
            var NIDfileInput = $('#NIDfile')[0];
            //            //alert(fileInput.files.length);

            if (NIDfileInput.files.length != 0) {
                function_edit_nid_file();
            }

        }
    </script>
    <script>

        $(function () {
            $('[data-toggle="tooltip"]').tooltip()
        })
    </script>
</body>
</html>

